Hive.CompactHive() The system cannot move the file to a different disk drive

Bug #502389 reported by Nick on 2010-01-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Little Registry Optimizer
Undecided
Nick

Bug Description

Current Date/Time: 30/12/2009 10:41:50
Exec. Date/Time: 30/12/2009 10:39:34
Build Date: 30/12/2009
OS: Microsoft Windows NT 6.1.7600.0
Language: en-GB
System Uptime: 0 Days 2 Hours 59 Mins 15 Secs
Program Uptime: 00:01:52.9291239
PID: 1388
Executable: C:\Users\Madcrosoft\Desktop\reg optimizer\Little Registry Optimizer\bin\Debug\Little Registry Optimizer.EXE
Process Name: System.Diagnostics.Process (Little Registry Optimizer.vshost)
Main Module Name: Little Registry Optimizer.vshost.exe
Module Count: 97
Thread Count: 15
Thread ID: 20
Is Admin: True
Is Debugged: True
Version: 0.3
CLR Version: 2.0.50727.4927

Type #0 System.ComponentModel.Win32Exception
NativeErrorCode #0: 17
ErrorCode #0: -2147467259
Message #0: The system cannot move the file to a different disk drive
TargetSite #0: Void CompactHive()
Source #0: Little Registry Optimizer

StackTrace:
  at Little_Registry_Optimizer.Hive.CompactHive() in C:\Users\Madcrosoft\Desktop\reg optimizer\Little Registry Optimizer\HiveManager.cs:line 192
  at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
  at System.Threading.ThreadHelper.ThreadStart()

Nick (ub3rst4r) wrote :

The bug has been fixed. The reason this has was occuring was because it was trying to replace the BCD registry hive which contains information on the boot sector. This registry hive is will now be skipped so it wont get edited. I have attached a link for the fix below. Just replace the exe in the zip file with the one in the program files directory.

Fix: http://www.multiupload.com/RVWTT8Z3RW

Changed in lilregdefrag:
assignee: nobody → Nick (ub3rst4r)
status: New → Fix Committed
Paul Charteris (skyedog43) wrote :

This file can nolonger be found.

Nick (ub3rst4r) on 2011-11-20
Changed in lilregdefrag:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions